Package weka.classifiers.bayes.blr

# Class GaussianPriorImpl

java.lang.Object
weka.classifiers.bayes.blr.Prior
weka.classifiers.bayes.blr.GaussianPriorImpl

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

public class GaussianPriorImpl extends Prior
Implementation of the Gaussian Prior update function based on CLG Algorithm with a certain Trust Region Update. The values are updated in the BayesianLogisticRegressionV variables used by the algorithm.

Version:
  $Revision: 1.2 $
Author:
  Navendu Garg(gargnav@iit.edu)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`GaussianPriorImpl()`

## Method Summary

Modifier and Type
Method
Description
`void`
`computeLoglikelihood(double[] betas, Instances instances)`
This method calls the log-likelihood implemented in the Prior abstract class.
`void`
`computePenalty(double[] betas, double[] hyperparameters)`
This function computes the penalty term specific to Gaussian distribution.
`String`
`getRevision()`
Returns the revision string.
`double`
`update(int j, Instances instances, double beta, double hyperparameter, double[] r, double deltaV)`
Update function specific to Laplace Prior.

### Methods inherited from class weka.classifiers.bayes.blr.Prior

`computelogLikelihood, getLoglikelihood, getLogPosterior, getPenalty`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GaussianPriorImpl

public GaussianPriorImpl()

## Method Details

### update

public double update(int j, Instances instances, double beta, double hyperparameter, double[] r, double deltaV)
Update function specific to Laplace Prior.

Overrides:
  `update` in class `Prior`

### computeLoglikelihood

public void computeLoglikelihood(double[] betas, Instances instances)
This method calls the log-likelihood implemented in the Prior abstract class.

Parameters:
  `betas` -
  `instances` -

### computePenalty

public void computePenalty(double[] betas, double[] hyperparameters)
This function computes the penalty term specific to Gaussian distribution.

Overrides:
  `computePenalty` in class `Prior`
Parameters:
  `betas` -
  `hyperparameters` -

### getRevision

public String getRevision()
Returns the revision string.

Returns:
  the revision